import { world } from "@minecraft/server";
export const config = {
    prefix: '?',
    staffTag: 'lifesteal-opped'
};
export function sendPlayerMessage(player, message, removeSpaces = false) {
    if (removeSpaces === true) {
        player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${message.replaceAll('"', '\\\"').replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}"}]}`);
        return;
    }
    if (removeSpaces === false) {
        player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${message.replaceAll('"', '\\\"')}"}]}`);
        return;
    }
}
export function sendAllMessage(message, removeSpaces = false) {
    if (removeSpaces === true) {
        world.getDimension(`overworld`).runCommandAsync(`tellraw @a {"rawtext":[{"text":"${message.replaceAll('"', '\\\"').replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}"}]}`);
        return;
    }
    if (removeSpaces === false) {
        world.getDimension(`overworld`).runCommandAsync(`tellraw @a {"rawtext":[{"text":"${message.replaceAll('"', '\\\"')}"}]}`);
        return;
    }
}
